Update Resident: Rent Manager
https://api.propexo.com/v1/residents/rentmanager/:resident_id| Method |
|---|
| POST /Tenants |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Show 3 enum values
MONTHLYWEEKLYDAILYDay of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
Possible values: >= 1 and <= 31
The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object
The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object
The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object
The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.
Street address for the resident. This maps to the Street property of the primary address of the Tenant object
City of the resident's primary address
State of the resident's primary address
Zip/Postal Code of the resident's primary address
Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
City of the resident's secondary/alternate address
State of the resident's secondary/alternate address
Zip/Postal Code of the resident's secondary/alternate address
Notes associated with the resident
custom_data objectdeprecated
Deprecated: Field is no longer applicable
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident
The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Show 3 enum values
MONTHLYWEEKLYDAILYDay of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
Possible values: >= 1 and <= 31
The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object
The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object
The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object
The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.
Street address for the resident. This maps to the Street property of the primary address of the Tenant object
City of the resident's primary address
State of the resident's primary address
Zip/Postal Code of the resident's primary address
Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
City of the resident's secondary/alternate address
State of the resident's secondary/alternate address
Zip/Postal Code of the resident's secondary/alternate address
Notes associated with the resident
custom_data objectdeprecated
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/rentmanager/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0
}'
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"last_name": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0,
"first_name": "string",
"middle_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"address_1_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"notes": "string"
}
}